<f:if condition="{data.tx_mask_content_slides}">
    <section class="content-slider frame-space-before-{data.space_before_class} frame-space-after-{data.space_after_class}">
        <div class="swiper-button-prev d-none d-xl-block"><i class="icon-arrow-left"></i></div>
        <div class="swiper-button-next d-none d-xl-block"><i class="icon-arrow-right"></i></div>
        <div class="swiper content-swiper">
            <div class="swiper-wrapper">
                <f:for each="{data.tx_mask_content_slides}" as="data_item">
                    <f:if condition="{data_item.tx_mask_link}">
                        <f:then>
                            <f:link.typolink parameter="{data_item.tx_mask_link}" class="swiper-slide d-flex justify-content-center align-items-center flex-column">
                                <f:render section="Slide" arguments="{data_item: '{data_item}'}" />
                            </f:link.typolink>
                        </f:then>
                        <f:else>
                            <div class="swiper-slide d-flex justify-content-center align-items-center flex-column">
                                <f:render section="Slide" arguments="{data_item: '{data_item}'}" />
                            </div>
                        </f:else>
                    </f:if>
                </f:for>
            </div>
            <div class="swiper-pagination d-flex justify-content-center align-items-center mt-5 mt-md-4 mt-lg-0"></div>
        </div>
    </section>
</f:if>

<f:section name="Slide">
    <f:if condition="{data_item.tx_mask_image}">
        <f:then>
            <f:for each="{data_item.tx_mask_image}" as="file">
                <f:image image="{file}" width="200" />
                {file.description}
            </f:for>
        </f:then>
        <f:else>
            <img src="https://via.placeholder.com/192x192" width="192" height="192">
        </f:else>
    </f:if>
    <f:if condition="{data_item.tx_mask_headline}">
        <div class="h4 my-3 text-center">{data_item.tx_mask_headline}</div>
    </f:if>
    <f:if condition="{data_item.tx_mask_content}">
        <div class="content text-center">
            {data_item.tx_mask_content -> f:format.raw()}
        </div>
    </f:if>
</f:section>
